Bug Hunting Session
Bug 95953 - Size of text not preserved and Liberation changed to Arial through save and open as pptx
Summary: Size of text not preserved and Liberation changed to Arial through save and o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:pptx
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2015-11-20 15:01 UTC by sam tygier
Modified: 2019-07-30 03:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
LO file (10.46 KB, application/vnd.oasis.opendocument.presentation)
2015-11-20 15:01 UTC, sam tygier
Details
Exported pptx file (32.68 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-11-20 15:02 UTC, sam tygier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sam tygier 2015-11-20 15:01:40 UTC
Created attachment 120680 [details]
LO file

Steps to reproduce.
1) create a new presentation
2) set slide to "title, content" page
3) add a few lines of content
4) resize content box so that font size gets automatically reduced
5) save as pptx (Office Open XML or Powerpoint version)
6) close LO and reopen the save ppt file
7) font size has increased back to normal size

This is with LO 5.0.3.2 on Fedora 22 linux.

I have not tested opening the file in MS Office, only saving and reopening on LO.
Comment 1 sam tygier 2015-11-20 15:02:15 UTC
Created attachment 120681 [details]
Exported pptx file
Comment 2 sam tygier 2015-11-20 15:28:06 UTC Comment hidden (obsolete)
Comment 3 A (Andy) 2015-11-20 16:31:07 UTC
Reproducible with LO 5.0.3.2, Win 8.1
Comment 4 sam tygier 2016-01-27 14:44:47 UTC Comment hidden (obsolete)
Comment 5 Timur 2016-10-25 14:46:58 UTC
And: original text is Liberation Sans 32, it stays like that in Format-Character, while it changes in Sidebar-Properties when resized.
After RT, font is Arial 32 in both locations. 

Looks like all the way from LO 3.3.

I suspect this may be the same as in 1-slide PPTX attachment 128239 [details] that's supposed to look like PDF attachment 128240 [details] from Bug 103488 (I extracted that from attachment 114355 [details] from Bug 90237).
There, font Calibri Light (Headings) 19 from MSO after roundtrip becomes in LO: Calibri Light 24 in Format-Character and Calibri Light 16,7 in Sidebar-Properties.
Comment 6 sam tygier 2017-02-02 13:08:15 UTC Comment hidden (obsolete)
Comment 7 sam tygier 2018-01-24 19:17:16 UTC
Much improved in current master. It looks like the Autofit is correctly saved and loaded now. However the font still changes from Liberation Sans to Arial, and there is a small change in font size.

Version: 6.1.0.0.alpha0+
Build ID: a283847a95dd8935dec687d91709604d96636a34
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.utf8); Calc: group threaded
Comment 8 Aron Budea 2018-02-26 23:20:37 UTC
The changing of fonts is intentional for interoperability, a system with MS Office likely won't have Liberation fonts installed.
Comment 9 Timur 2018-02-27 16:23:18 UTC
(In reply to Aron Budea from comment #8)
> The changing of fonts is intentional for interoperability, a system with MS
> Office likely won't have Liberation fonts installed.

I can't find it documented. While I may understand reasoning, I'd say such a change on-the-fly is wrong without noticing a user. And I see that in Impress only, not in Writer. Please write a source if you know, documentation or bug or fix.
Comment 10 sam tygier 2018-02-27 17:24:57 UTC
In that case shouldn't LO be embedding the font? (https://support.office.com/en-us/article/Embed-fonts-in-Word-PowerPoint-or-Excel-cb3982aa-ea76-4323-b008-86670f222dbc suggests that pptx format supports this).
Comment 11 Timur 2018-07-27 12:53:32 UTC
Sam, question is a good one. Guess that it deserves a new bug if it doesn't. 
Still we must have this font change documented.
Comment 12 QA Administrators 2019-07-30 03:15:13 UTC
Dear sam tygier,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug